Bug 200226 - gui and tui do not provide the same features, gui destroys configuration of tui
gui and tui do not provide the same features, gui destroys configuration of tui
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-26 08:43 EDT by Till Maas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-30 11:31:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2006-07-26 08:43:11 EDT
Description of problem:

system-config-securitylevel-tui (scs-tui) provides an option to activate 
masquerading  but scs-gui does not (anymore?). Also scs-gui destroys the 
settings for masquerading if they were set with scs-tui and scs-gui is used to 
change something else later.

Version-Release number of selected component (if applicable):

1.6.16-2

How reproducible:

always

Steps to Reproduce:
1. start system-config-securityleve-tui, select customize
2. mark eth1 as trusted device and MASQUERADE device
3. click on ok twice
4. iptables -t nat -vL shows the configuration
5. start system-config-securityleve-gui (notice that ther is no option for 
MASQUERADE devices)
6. change something and save it
7. iptables -t nat -vL shows no entries

  
Actual results:

MASQERUADE devices cannot be configured with scs-gui and the configuration is 
destroyed after running it.

Expected results:

One can configure MASQUERADE devices with scs-gui  and scs-gui does not 
destroy the configuration made with scs-tui.
Comment 1 Thomas Woerner 2007-08-30 11:31:22 EDT
Fixed in rawhide in system-config-firewall, which replaces
system-config-securitylevel.

Note You need to log in before you can comment on or make changes to this bug.